package schedulerTriage.events;

import bp.Event;

public class Schedule extends Event {
	private static final long serialVersionUID = -8751672176757869152L;
	
	public int requestedIndex;
	public int ticksTillDeadline;

	public Schedule(int index, int deadline) {
		super();
		this.requestedIndex = index;
		this.ticksTillDeadline = deadline;
	}

	/**
	 * A string to display on the board to represent the occurrence of this
	 * event.
	 */
	public String displayString() 
	{
		return "( " + this.requestedIndex + ", " + this.ticksTillDeadline + ")";
	}

	/*
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!getClass().isInstance(obj)) {
			return false;
		}
		Schedule other = (Schedule) obj;
		if (this.requestedIndex != other.requestedIndex) {
			return false;
		}
		if (this.ticksTillDeadline != other.ticksTillDeadline) {
			return false;
		}
		return true;
	}

}
